• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • 3.0 June 17th. Or Today.


    3.0 chatter has been going on a while now (and is already jailbroken and officially has Cydia ready and released for it, you faithful hackery types), and WWDC marked the official date announcement - June 17th (pf.edit, thanks guys - not the 19th). Developers were given out the gold master today - bye bye betas.

    We've already been over most of the 3.0 improvements, and Apple tossed us a couple bones as well:
    • MMS supported from 29 carriers as of game day, although AT&T will get that to us "later this summer". Thanks, AT&T.
    • Safari has got some solid speed increases - JavaScript 3x faster, HTML 5 support, HTTP streaming a/v, and auto-fill (nice).
    • Tethering supported from 22 carriers. Of course AT&T won't be on that list, but are sure they'll get to it soon.
    • You can now RENT and PURCHASE movies from the iPhone through iTunes, including audiobooks.

    iPod Touch users save your pennies - the upgrade will be free for iPhone users, but $9.95 for iPod Touch folks, same as 2.0 was.

    gizmodo
    This article was originally published in forum thread: 3.0 June 17th. Or Today. started by Kyle Matthews View original post
    Comments 629 Comments
    1. ashad0509's Avatar
      ashad0509 -
      Quote Originally Posted by joseruinyc View Post
      no i set ir up through mymedianet
      ahh, okay...did it let you or did you have to put your sim card into a different phone for a couple minutes
    1. joseruinyc's Avatar
      joseruinyc -
      Quote Originally Posted by ashad0509 View Post
      ahh, okay...did it let you or did you have to put your sim card into a different phone for a couple minutes
      i had done this a month ago with beta 5,
      switched sim from iphone to diferent phone set up mymedia net online, then switched back sim card to iphone and reset network settings and its been working ever since.

      Today i restored with 3.0 MG after that i upgraded with ATT_US.ipcc.
      After that i restored network setting on the iphone and its back up and running again.
    1. dchandler's Avatar
      dchandler -
      I got the GM version is there a way i can go back to 2.2.1 somebody please help
    1. dallaspowers's Avatar
      dallaspowers -
      So... WHere can I Update with 3.0? Do I have to wait till the 17th?
    1. allanalbis82's Avatar
      allanalbis82 -
      Can we now unlock the iphone 3g when we update to 3.0 anybody?
    1. enkur's Avatar
      enkur -
      To downgrade iPhone 2G ... you will need to downgrade the iTunes to 8.1.1 (search online for the old copy) then put your phone in DFU mode and then do the shift+restore option and choose the 2.2.1 firmware. Then jailbreak/activate using quickpwn 2.5... I just did this whole thing and it works beautifully
    1. ashad0509's Avatar
      ashad0509 -
      Quote Originally Posted by joseruinyc View Post
      i had done this a month ago with beta 5,
      switched sim from iphone to diferent phone set up mymedia net online, then switched back sim card to iphone and reset network settings and its been working ever since.

      Today i restored with 3.0 MG after that i upgraded with ATT_US.ipcc.
      After that i restored network setting on the iphone and its back up and running again.
      okay thanks, i'm going to have to try the my media net thing sometime again soon.. I tried on beta 2 and it never worked. Which ipcc did you use, theres like 5 of them going around?
    1. soto806's Avatar
      soto806 -
      So Me as an iPod Touch owner, I have to pay $10 for an update???
      That sucks
    1. iCory19's Avatar
      iCory19 -
      Finally got it lol. Stupid Safari. I did a simple update and my phone kept the update .ipcc file I had. Except, ever since I had installed the altered .ipcc on the beta 5 version, I dont have access to visual voicemail. Anyone know how to fix this?
    1. reeko's Avatar
      reeko -
      Ok, 3G owners itching to get to 3.0:

      3.0 will update your baseband, which means you will permanently lose your unlock.

      HOWEVER, creating and restoring to a custom firmware from PwnageTool will not update your baseband. Restoring then using QuickPwn WILL, but using PwnageTool will keep your baseband and 02.28 so the unlock should still work.

      I got confirmation a few days ago from MuscleNerd on twitter that they have succesfully restored an iPhone to the 3.0 beta and kept the baseband at 02.28, so it is now just a matter of waiting for the new PwnageTool so the masses can do this.

      I also would not expect to see and new tools before the public release of 3.0 on the 17th.

      If you are unlocked on a 3G, sit tight and wait for the dev team

      If you are with a legit carrier still on 2.2 i would recommend also waiting for the PwageTool. Your phone can still be unlocked and will be much more valuable unlocked.

      Ive never had anything to do with the iPod Touch before, but my friend has a 2G. I have managed to get hold of the 3.0 final release for the 2G iPod Touch, whats the score with updating? Will it ask me to pay after restoring or will it restore and go through fine?
    1. lild7hina's Avatar
      lild7hina -
      just installed this and works like a charm... also tried the new itunes and dl a MV.. seems kinda glitchy but it may have been just me
    1. StealthBravo's Avatar
      StealthBravo -
      3.0 won't talk to the 2.28 baseband right now. I was able to downgrade my baseband while running 3.0 down to 2.28. The new yellowsn0w will be focused on unlocking baseband 4.26.08
    1. reeko's Avatar
      reeko -
      But that is only because you have the exploitable .08 bootloader, which most people do not have, right?

      Maybe unlocking 4.26 will be done quicker than New Year this time round. Maybe.
    1. confucious's Avatar
      confucious -
      Downgrading can only be done with BL 5.8 so far better not to upgrade in the first place.

      My guess is YellowSn0w for 4.26.x won't take so long this time
    1. StealthBravo's Avatar
      StealthBravo -
      ^ your guess would be my guess
    1. Apple.'s Avatar
      Apple. -
      am i the only one who cant downgrade back to 2.2.1? ugh now i have to wait for an updated turbo sim to be released
    1. confucious's Avatar
      confucious -
      Quote Originally Posted by Apple. View Post
      am i the only one who cant downgrade back to 2.2.1? ugh now i have to wait for an updated turbo sim to be released
      Why on earth did you upgrade if you need an unlock? Unless you have BL5.8 you are stuffed.
      I would wait fro YellwSn0w rather than an updated turboSIM
    1. Apple.'s Avatar
      Apple. -
      Quote Originally Posted by confucious View Post
      Why on earth did you upgrade if you need an unlock? Unless you have BL5.8 you are stuffed.
      I would wait fro YellwSn0w rather than an updated turboSIM
      mainly because i live in guam and iphone isnt supported here besides installed it on my 3g i still have my 2g..

      umm yellowsnow?? comparing to last year..looks like that wont be out until christmas
    1. confucious's Avatar
      confucious -
      So you had an iPhone 3G that worked with a TurboSIM but you decided to lock it by installing FW 3.0? Strange.

      Last year is not the same as this year...
    1. StealthBravo's Avatar
      StealthBravo -
      Huge mistake!!